Loading...
Searching...
No Matches
Audio Element
libavutil » Audio related » Immersive Audio Model and Formats

Audio Elements as defined in section 3.6 of IAMF. More...

## Data Structures

struct | AVIAMFLayer
| A layer defining a Channel Layout in the Audio Element. More...
struct | AVIAMFAudioElement
| Information on how to combine one or more audio streams, as defined in section 3.6 of IAMF. More...

## Macros

#define | AV_IAMF_LAYER_FLAG_RECON_GAIN (1 << 0)
| Recon gain information for the layer is present in AVIAMFReconGain.

## Enumerations

enum | AVIAMFAmbisonicsMode { AV_IAMF_AMBISONICS_MODE_MONO , AV_IAMF_AMBISONICS_MODE_PROJECTION }
enum | AVIAMFAudioElementType { AV_IAMF_AUDIO_ELEMENT_TYPE_CHANNEL , AV_IAMF_AUDIO_ELEMENT_TYPE_SCENE }

## Functions

const AVClass * | av_iamf_audio_element_get_class (void)
AVIAMFAudioElement * | av_iamf_audio_element_alloc (void)
| Allocates a AVIAMFAudioElement, and initializes its fields with default values.
AVIAMFLayer * | av_iamf_audio_element_add_layer (AVIAMFAudioElement *audio_element)
| Allocate a layer and add it to a given AVIAMFAudioElement.
void | av_iamf_audio_element_free (AVIAMFAudioElement **audio_element)
| Free an AVIAMFAudioElement and all its contents.

## Detailed Description

Audio Elements as defined in section 3.6 of IAMF.

## Macro Definition Documentation

## AV_IAMF_LAYER_FLAG_RECON_GAIN

#define AV_IAMF_LAYER_FLAG_RECON_GAIN (1 << 0)

Recon gain information for the layer is present in AVIAMFReconGain.

Definition at line 280 of file iamf.h.

## Enumeration Type Documentation

## AVIAMFAmbisonicsMode

enum AVIAMFAmbisonicsMode

Enumerator
AV_IAMF_AMBISONICS_MODE_MONO |
AV_IAMF_AMBISONICS_MODE_PROJECTION |

Definition at line 272 of file iamf.h.

## AVIAMFAudioElementType

enum AVIAMFAudioElementType

Enumerator
AV_IAMF_AUDIO_ELEMENT_TYPE_CHANNEL |
AV_IAMF_AUDIO_ELEMENT_TYPE_SCENE |

Definition at line 347 of file iamf.h.

## Function Documentation

## av_iamf_audio_element_get_class()

const AVClass * av_iamf_audio_element_get_class | ( | void |  | ) |

## av_iamf_audio_element_alloc()

AVIAMFAudioElement * av_iamf_audio_element_alloc | ( | void |  | ) |

Allocates a AVIAMFAudioElement, and initializes its fields with default values.

No layers are allocated. Must be freed with av_iamf_audio_element_free().

See also
  av_iamf_audio_element_add_layer()

## av_iamf_audio_element_add_layer()

AVIAMFLayer * av_iamf_audio_element_add_layer | ( | AVIAMFAudioElement * | audio_element | ) |

Allocate a layer and add it to a given AVIAMFAudioElement.

It is freed by av_iamf_audio_element_free() alongside the rest of the parent AVIAMFAudioElement.

Returns
  a pointer to the allocated layer.

## av_iamf_audio_element_free()

void av_iamf_audio_element_free | ( | AVIAMFAudioElement ** | audio_element | ) |

Free an AVIAMFAudioElement and all its contents.

Parameters

  audio_element | pointer to pointer to an allocated AVIAMFAudioElement. upon return, *audio_element will be set to NULL.